Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.form.event
Class FieldListenerAdapter

    java.lang.Object
      com.gwtext.client.widgets.event.ComponentListenerAdapter
          com.gwtext.client.widgets.event.BoxComponentListenerAdapter
              com.gwtext.client.widgets.form.event.FieldListenerAdapter

All Implemented Interfaces:
  BoxComponentListener, ComponentListener, FieldListener

Direct Known Subclasses:
  CheckboxListenerAdapter, ComboBoxListenerAdapter, HtmlEditorListenerAdapter, TextFieldListenerAdapter

    public class FieldListenerAdapter

extends BoxComponentListenerAdapter
implements FieldListener

Constructor Summary
`FieldListenerAdapter()`

Method Summary
`void` | `onBlur(Field field)` Fires when this field loses input focus.
`void` | `onChange(Field field, java.lang.Object newVal, java.lang.Object oldVal)` Fires just before the field blurs if the field value has changed.
`void` | `onChange(Field field, java.lang.String newVal, java.lang.String oldVal)`
`void` | `onFocus(Field field)` Fires when this field receives input focus.
`void` | `onInvalid(Field field, java.lang.String msg)` Fires after the field has been marked as invalid.
`void` | `onSpecialKey(Field field, EventObject e)` Fires when any key related to navigation (arrows, tab, enter, esc, etc.) is pressed.
`void` | `onValid(Field field)` Fires after the field has been validated with no errors.

Methods inherited from class com.gwtext.client.widgets.event.BoxComponentListenerAdapter
`onMove, onResize`

Methods inherited from class com.gwtext.client.widgets.event.ComponentListenerAdapter
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.gwtext.client.widgets.event.BoxComponentListener
`onMove, onResize`

Methods inherited from interface com.gwtext.client.widgets.event.ComponentListener
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Constructor Detail

### FieldListenerAdapter

    public FieldListenerAdapter()

Method Detail

### onBlur

    public void onBlur(Field field)

  Description copied from interface: `FieldListener`
  Fires when this field loses input focus.

  Specified by:
    `onBlur` in interface `FieldListener`
  Parameters:
    `field` - this

### onChange

    public final void onChange(Field field,
                               java.lang.String newVal,
                               java.lang.String oldVal)

### onChange

    public void onChange(Field field,
                         java.lang.Object newVal,
                         java.lang.Object oldVal)

  Description copied from interface: `FieldListener`
  Fires just before the field blurs if the field value has changed.

  Specified by:
    `onChange` in interface `FieldListener`
  Parameters:
    `field` - this
    `newVal` - the new value
    `oldVal` - the old value

### onFocus

    public void onFocus(Field field)

  Description copied from interface: `FieldListener`
  Fires when this field receives input focus.

  Specified by:
    `onFocus` in interface `FieldListener`
  Parameters:
    `field` - this

### onInvalid

    public void onInvalid(Field field,
                          java.lang.String msg)

  Description copied from interface: `FieldListener`
  Fires after the field has been marked as invalid.

  Specified by:
    `onInvalid` in interface `FieldListener`
  Parameters:
    `field` - this
    `msg` - the validation message

### onSpecialKey

    public void onSpecialKey(Field field,
                             EventObject e)

  Description copied from interface: `FieldListener`
  Fires when any key related to navigation (arrows, tab, enter, esc, etc.) is pressed. You can check `EventObject.getKey()` to determine which key was pressed.

  Specified by:
    `onSpecialKey` in interface `FieldListener`
  Parameters:
    `field` - this
    `e` - the event object

### onValid

    public void onValid(Field field)

  Description copied from interface: `FieldListener`
  Fires after the field has been validated with no errors.

  Specified by:
    `onValid` in interface `FieldListener`
  Parameters:
    `field` - this

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD